'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = recycleState;
// redux-recycle higher order reducer
function recycleState(reducer) {
  var actions = arguments.length <= 1 || arguments[1] === undefined ? [] : arguments[1];
  var initialState = arguments[2];

  return function (state, action) {
    if (actions.indexOf(action.type) >= 0) {
      return reducer(initialState, { type: '@@redux-recycle/INIT' });
    }
    return reducer(state, action);
  };
}
// /redux-recycle